
---
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: pvc02
spec:
  storageClassName: nfs-client
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi

---
kind: Pod
apiVersion: v1
metadata:
  name: test-pod02
spec:
  containers:
  - image: aemc/alpine-debug:1.0
    name: c1
    command: [ "sleep", "1000000" ]
    volumeMounts:
    - mountPath: /mnt
      name: test-volume
  securityContext:
    runAsUser: 1000
    fsGroup: 0
  volumes:
  - name: test-volume
    persistentVolumeClaim:
      claimName: pvc02
